BizKitHub
DocsAPI ReferenceWarehouse/bff/warehouse/create
postWarehouseAdmin BFF

/bff/warehouse/create

Create warehouse

WarehousepostBffWarehouseCreate

Parameters

JSON body

Request body

application/json
codestringRequired
Length: 164
namestringRequired
Length: 1
descriptionstring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
addressStreetstring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
addressCitystring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
addressZipstring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
addressCountrystring | nullOptional
One of 2:
Variant 1
string
Length: 02
Variant 2
null
isDefaultbooleanOptional
isActivebooleanOptional
allowNegativeStockbooleanOptional
managerMemberIdnumber | nullOptional
One of 2:
Variant 1
number
Variant 2
null

Response schema

1 status code documented

200Success
successbooleanRequired
idnumberRequired
isDefaultbooleanRequired

Response example

application/json
{
  "success": false,
  "id": 0,
  "isDefault": false
}

Request example

POST /bff/warehouse/create

post
curl -X POST "https://api.bizkithub.com/bff/warehouse/create" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "code": "example_code",
  "name": "example_name",
  "isDefault": false,
  "isActive": false,
  "allowNegativeStock": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key